compat-wireless: update to 3.5.1-1-snpc.
[people/teissler/ipfire-2.x.git] / lfs / compat-wireless
index 24ad75bbfbd3f780124d96148e15909be6b7f387..78bd1d4aa09974116ffa956047e5146c80a9843c 100644 (file)
@@ -26,7 +26,7 @@ include Config
 
 VERSUFIX=ipfire$(KCFG)
 
-VER        = 3.5-3-snpc
+VER        = 3.5.1-1-snpc
 
 ifeq "$(KCFG)" "-xen"
        KVER = 2.6.32.59
@@ -47,7 +47,7 @@ objects = $(DL_FILE) asix-4.4.0.tar.xz
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 asix-4.4.0.tar.xz = $(DL_FROM)/asix-4.4.0.tar.xz
 
-$(DL_FILE)_MD5 = 66f27eed39aacd567f67025305273cd7
+$(DL_FILE)_MD5 = eea8d1c430ad38b713457438e04f47f5
 asix-4.4.0.tar.xz_MD5=633609e889de41554826e0e2cd7bffde
 
 install : $(TARGET)
@@ -82,6 +82,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
        # kfifo has no license info and taints kernel
        cd $(DIR_APP) && patch -Np1 < $(DIR_SRC)/src/patches/compat-wireless-2.6.39_kfifo_module_info.patch
 
+       # Codel patches
+       cd $(DIR_APP) && patch -Np1 < $(DIR_SRC)/src/patches/compat-wireless_codel-avoid-a-nul-rec_inv_sqrt.patch
+
        # Build ath5k only if target has pci
        cd $(DIR_APP) && patch -Np1 < $(DIR_SRC)/src/patches/compat-wireless-3.5-build_ath5k_only_with_pci.patch